% ELEMENTI DI TOPOGRAFIA E TRATTAMENTO DELLE OSSERVAZIONI
% seconda edizione
% Barzaghi Riccardo, Pinto Livio, Pagliari Diana
% ottobre 2018
% Script realized under BY NC Creative Commons License
% tested for Matlab 2016b

%ESERCIZIO 5.4: CALCOLO DEL COEFFICIENTE DI CORRELAZIONE LINEARE
% TRA DUE VARIABILI


%% DATI
clc, clear all, close all
% CALCOLO DEL COEFFICIENTE DI CORRELAZIONE LINEARE W=4X+Y
% E Q=-2X-Y
% X normale [1,4]
% Y normale [-2,9]

mX=1;
mY=-2;
sigma2_x=4;
sigma2_y=9;

%% SVOLGIMENTO
% matrice disegno A
syms W Q X Y
W= 4*X+Y;
Q= -2*X-Y;

dW= @(X,Y) W;
dQ= @(X,Y) Q;

dW_X=diff(dW,X);
dW_Y=diff(dW,Y);
dQ_X=diff(dQ,X);
dQ_Y=diff(dQ,Y);

A=double([dW_X dW_Y
   dQ_X dQ_Y]);

Cxy=[sigma2_x 0;
     0 sigma2_y];

%calcolo della media delle funzioni W e Q
mW=double(subs(W,[X,Y],[mX,mY]));
mQ=double(subs(Q,[X,Y],[mX,mY]));

% calcolo della varianza delle funzioni W e Q
Cwq=A*Cxy*A';

%calcolo del coefficiente di correlazione lineare
rho=Cwq(1,2)/(sqrt(Cwq(1,1)*Cwq(2,2)));

