% ELEMENTI DI TOPOGRAFIA E TRATTAMENTO DELLE OSSERVAZIONI
% seconda edizione
% Barzaghi Riccardo, Pinto Livio, Pagliari Diana
% ottobre 2018
% Script realized under BY NC Creative Commons License
% tested for Matlab 2016b

%ESERCIZIO 5.5: CALCOLO DEL COEFFICIENTE DI CORRELAZIONE LINEARE
% TRA DUE VARIABILI

%% DATI
clc, clear all, close all
% CALCOLO DEL COEFFICIENTE DI CORRELAZIONE LINEARE W=sinX+cosY
% E Q=-2X-Y
% X normale [pi/4,4]
% Y normale [-2,9]
mX=pi/4;
mY=0;
sigma2_x=4;
sigma2_y=1;

%% SVOLGIMENTO
% matrice disegno A
syms W Q X Y
W= sin(X)+cos(Y);
Q= cos(X)+2*sin(Y);

dW= @(X,Y) W;
dQ= @(X,Y) Q;

dW_X=diff(dW,X);
dW_Y=diff(dW,Y);
dQ_X=diff(dQ,X);
dQ_Y=diff(dQ,Y);

AA=([dW_X dW_Y
   dQ_X dQ_Y]);

A=double(subs(AA,[X,Y],[mX,mY]));

Cxy=[sigma2_x 0;
     0 sigma2_y];

%calcolo della media delle funzioni W e Q
mW=double(subs(W,[X,Y],[mX,mY]));
mQ=double(subs(Q,[X,Y],[mX,mY]));

% calcolo della varianza delle funzioni W e Q
Cwq=A*Cxy*A';

%calcolo del coefficiente di correlazione lineare
rho=Cwq(1,2)/(sqrt(Cwq(1,1)*Cwq(2,2)));

