% ELEMENTI DI TOPOGRAFIA E TRATTAMENTO DELLE OSSERVAZIONI
% seconda edizione
% Barzaghi Riccardo, Pinto Livio, Pagliari Diana
% ottobre 2018
% Script realized under BY NC Creative Commons License
% tested for Matlab 2016b

% ESEMPIO 6.5
% ESEMPIO DI COMPENSAZIONE DELLE MISURE DEGLI ANGOLI INTERNI DI UN POLIGONO
% per la geometria deve valere che la somma degli angoli interni di un
% pentagono  pari a 600gon

%% DATI
clc, clear all, close all

alpha0_1= 143.5684; %gon
alpha0_2= 160.7751; %gon
alpha0_3= 91.9523; %gon
alpha0_4= 130.6494; %gon
alpha0_5= 73.0532; %gon

%% SVOLGIMENTO

B=ones(1,5);
L=600; %gon
alpha0=[alpha0_1;alpha0_2;alpha0_3;alpha0_4; alpha0_5];
%delta=B*alpha-L

delta=B*alpha0-600;
%calcolo dei valori compensati
alpha=alpha0-B'*inv(B*B')*delta;
%calcolo del vettore delle differenze
alpha0_alpha=alpha0-alpha;

%calcolo di sigma2_posteriori
sigma0_2_pos=alpha0_alpha'*alpha0_alpha;
sigma0_pos=sqrt(sigma0_2_pos);

