
% ELEMENTI DI TOPOGRAFIA E TRATTAMENTO DELLE OSSERVAZIONI
% seconda edizione
% Barzaghi Riccardo, Pinto Livio, Pagliari Diana
% ottobre 2018
% Script realized under BY NC Creative Commons License
% tested for Matlab 2016b

% ESEMPIO 6.6
% STIMA DELLA RETTA INTERPOLANTE

%% DATI
clc, clear all, close all

t=[2 3 4 6 8 10 11 15]';
y=[11.10 15.85 20.80 31.17 40.98 51.07 56.30 75.91]';


%% SVOLGIMENTO
% CALCOLO DELLA SOLUZIONE (parametri della retta interpolante)
A=[t ones(size(t,1),1)];
alpha0=y;
%B=I
%L=0;
%delta=B*alpha0-L=apha0-L=alpha0;
delta=alpha0;
x=inv(A'*A)*A'*delta;

% CALCOLO DEL VETTORE DEGLI SCARTI
u=alpha0-A*x;

%calcolo di sigma0_2_post
sigma0_2_post=u'*u/(size(y,1)-size(x,1));

% calcolo Cxx
Cxx=sigma0_2_post*inv(A'*A);
% calcolo delle precisioni di stima dei parametri
sigma_a=sqrt(Cxx(1,1));
sigma_b=sqrt(Cxx(2,2));
