% ELEMENTI DI TOPOGRAFIA E TRATTAMENTO DELLE OSSERVAZIONI
% seconda edizione
% Barzaghi Riccardo, Pinto Livio, Pagliari Diana
% ottobre 2018
% Script realized under BY NC Creative Commons License
% tested for Matlab 2016b

% ESERCIZIO 2.1: ESERCIZIO DI CALCOLO DELLE QUOTE
% CON LIVELLAZIONE TRIGONOMETRICA

%% DATI
hA= 1234; %m
hB=1340; %m
hC=1292; %m
dAC= 12000; %m
dBC=11000; %m
R=6378000; %m
k=0.17;

%% ANGOLI AZIMUTALI
dAB=dAC+dBC;
%calcolo dell'angolo zenitale Z'AB
ZAB=atan(dAB*(1+(hA+hB)/(2*R))/(hB-hA))+(1-k)/(2*R)*dAB;
%calcolo dell'angolo zenitale Z'BA
ZBA=atan(dAB*(1+(hA+hB)/(2*R))/(hA-hB))+(1-k)/(2*R)*dAB+pi;
%calcolo angolo zenitale con cui il punto A vede il punto C
ZAC=atan(dAC*(1+(hA+hC)/(2*R))/(hC-hA))+(1-k)/(2*R)*dAC;
%calcolo angolo zenitale con cui il punto B vede il punto C
ZBC=atan(dBC*(1+(hB+hC)/(2*R))/(hC-hB))+(1-k)/(2*R)*dBC+pi;

%% CALCOLO SOPRAELEVAZIONE
% poiche ZAB>ZAC e ZBA>ZBC si deve calcolare
% la sopraelevazione da dare al punto B
% affinch sia visibile da A

hB_1=hA+dAB*(1+(hA+hB)/(2*R))*cot(ZAC-(1-k)/(2*R)*dAB);
%reiterando

hB_2=hA+dAB*(1+(hA+hB_1)/(2*R))*cot(ZAC-(1-k)/(2*R)*dAB);

delta_h=hB_2-hB;

