% ELEMENTI DI TOPOGRAFIA E TRATTAMENTO DELLE OSSERVAZIONI
% seconda edizione
% Barzaghi Riccardo, Pinto Livio, Pagliari Diana
% ottobre 2018
% Script realized under BY NC Creative Commons License
% tested for Matlab 2016b

% ESERCIZIO 2.4: CALCOLO DI COORDINATE 2D NOTE LE MISURE
% DI ANGOLI E DISTANZA


%% DATI 

clear all, clc

P1 =[7345.77; 998.31];
P3 =[8500.45; 1789.26];

%alpha = 27.6799 gon
alpha= 27.6799/200*pi;
%beta = 68.7990 gon
beta = 68.7990/200*pi;
%phi = 50.3094 gon
phi= 50.3094/200*pi;

d24= 1056.194; %m

%% calcolo delle distanze e degli angoli 
d13=sqrt((P1(1,1)-P3(1,1))^2 +(P1(2,1)-P3(2,1))^2);
theta_13=atan((P3(1,1)-P1(1,1))/(P3(2,1)-P1(2,1)));

%calcolo delle distanze d12 e d14
d12=d24*sin(alpha)/sin(pi-alpha-beta);
d14=d24*sin(beta)/sin(pi-alpha-beta);

% calcolo dell'angolo interno alpha_413
alpha_413=pi-(alpha+phi+asin(d14*sin(alpha+phi)/d13));
% calcolo degli azimut
theta_14=theta_13-alpha_413;
theta_12=theta_14+pi-alpha-beta;

%% calcolo delle coordinate dei punti 2 e 4
P2=[P1(1,1)+d12*sin(theta_12);P1(2,1)+d12*cos(theta_12)];
P4=[P1(1,1)+d14*sin(theta_14);P1(2,1)+d14*cos(theta_14)];