% ELEMENTI DI TOPOGRAFIA E TRATTAMENTO DELLE OSSERVAZIONI
% seconda edizione
% Barzaghi Riccardo, Pinto Livio, Pagliari Diana
% ottobre 2018
% Script realized under BY NC Creative Commons License
% tested for Matlab 2016b

% ESERCIZIO 2.5: DOPPIA INTERSEZIONE INVERSA CON SOLE MISURE DI DISTANZA

%% DATI 
A =[7344.82; 997.150];
B =[8497.62; 1785.86];

dA1=904.13; %m
dA2=306.34; %m
dB1=1449.62; %m
dB2=1104.72; %m

%% calcolo della distanza dAB e dell'azimuth theta_AB
dAB=sqrt((A(1,1)-B(1,1))^2+ (A(2,1)-B(2,1))^2);
theta_AB=atan((B(1,1)-A(1,1))/(B(2,1)-A(2,1)));

%% calcolo degli anggoli interni
alpha_1AB=acos((dA1^2+dAB^2-dB1^2)/(2*dA1*dAB));
alpha_BA2=acos((dAB^2+dA2^2-dB2^2)/(2*dA2*dAB));

%% calcolo degli azimuth
theta_A1=theta_AB-alpha_1AB;
theta_A2=theta_AB+alpha_BA2;

%% calcolo delle coordinate dei punti 2 e 4
P1=[A(1,1)+dA1*sin(theta_A1);A(2,1)+dA1*cos(theta_A1)];
P2=[A(1,1)+dA2*sin(theta_A2);A(2,1)+dA2*cos(theta_A2)];

