% ELEMENTI DI TOPOGRAFIA E TRATTAMENTO DELLE OSSERVAZIONI
% seconda edizione
% Barzaghi Riccardo, Pinto Livio, Pagliari Diana
% ottobre 2018
% Script realized under BY NC Creative Commons License
% tested for Matlab 2016b

%ESERCIZIO 4.4: CALCOLO DELL'AZIMUTH DA IMPOSTARE PER RAGGIUNGERE IL PORTO DI DONGO
%PARTENDO DAL PORTO DI BELLANO (LAGO DI COMO)
%% DATI
clc, clear all, close all

%raggio medio terrestre
R=6370000; %m
%Coordinate porto di Bellano
NB=5098349; %m
EB=523370; %m
hB=215; %m
%latB =4602'18''
latB=(46+2/60+18/3600)/180*pi; %rad
%longB =918'07''
longB=(9+18/60+07/3600)/180*pi; %rad

%Coordinate porto di Dongo
ND=5105614; %m
ED=521578; %m
hD=215; %m
%latD =4607'21''
latD=(46+7/60+21/3600)/180*pi; %rad
%longD =916'47''
longD=(9+16/60+47/3600)/180*pi; %rad

%velocit di attraversamento
v=15; %km/h

%% CALCOLO DELLE COORDINATE DEPURATE DELLA FALSA ORIGINE
%Le coordinate sono in UTM WGS84-32 N, quindi la falsa origine Est
% pari a 500000 m
%falsa origine
f_or=500000;
EB_d=EB-f_or; %m
ED_d=ED-f_or; %m

%% CALCOLO DELLA DISTANZA TRA I PORTI DI BELLANO E DONGO
% calcolo della distanza cartografica
dBD_cart=sqrt((EB-ED)^2+(NB-ND)^2);
% calcolo del modulo di deformazione lineare m
m=0.9996+(EB_d^2+EB_d*ED_d+ED_d^2)/(0.9996*6*R^2);
%calcolo della lunghezza della galleria sulla carta
dBD_ell=dBD_cart/m;

%% CALCOLO DEL TEMPO DI ATTRAVERSAMENTO DA BELLANO A DONGO
t=dBD_ell/v;

%% CALCOLO DELL'ANGOLO DI DIREZIONE
%calcolo dell'angolo di direzione thetaBD sulla carta
thetaBD=atan((ED-EB)/(ND-NB))+2*pi;
%calcolo della convergenza del meridiano
long_c=9/180*pi; %longitunde centrale del fuso
y=(longB-long_c)*sin(latB);
% calcolo dell'azimut BD corretto
thetaBD_corr=thetaBD+y;